コンテンツにスキップ
AchaduDevelopers
Developers/API/segment_update
セグメント

更新セグメント

セグメントのアイデンティティ、分布、およびショーケースを更新します。

PATCH/segments/{id}segments:write

リクエスト

idstring · pathリソース識別子。必須
namestring · bodyセグメント名。オプション
slugstring · body公共のナメクジ。オプション
descriptionstring · body説明。オプション
store_namestring · body店名。オプション
store_taglinestring · body窓からのフレーズ。オプション
store_colorstring · bodyメインカラー。オプション
auto_expandboolean · body自動拡張を有効にします。オプション
distributionstring · body配布戦略。オプション
waitlistboolean · bodyキューをアクティブ化します。オプション

curl
curl -X PATCH 'https://achadu.com/api/v1/segments/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "slug": "string",
  "description": "string"
}'

答え

200操作が完了しました
4xxコード、メッセージ、request_id のエラー